Skip to content

Cancel a subscription

DELETE
/user/{userId}/subscription/{subscriptionId}
curl --request DELETE \
--url https://client-api.abi.ai/user/abi1234/subscription/8910zyx321cba \
--header 'Authorization: Bearer <token>'
userId
required
string

The Abi identifier of the user account.

Example
abi1234
subscriptionId
required
string

The Abi identifier of the subscription.

Example
8910zyx321cba

Subscription cancelled. Returns the cancelled subscription ID.

Media typeapplication/json
string
Example
8910zyx321cba

Request could not be completed.

Media typeapplication/json
object
code

Short machine-readable error code.

string
message

Human-readable explanation of the error.

string
Examplegenerated
{
"code": "example",
"message": "example"
}